org.eclipse.wst.jsdt.chromium

## Interface JsScope

All Known Subinterfaces:
  JsScope.Declarative, JsScope.ObjectBased

    public interface JsScope

An object that represents a scope in JavaScript. It could be either declarative or object scope.

### Nested Class Summary

Nested Classes
`static interface` `JsScope.Declarative` Mirrors declarative scope.
`static interface` `JsScope.ObjectBased` Mirrors object scope, i.e. the one built above a JavaScript object.
`static class` `JsScope.Type`
`static interface` `JsScope.Visitor<R>`

### Method Summary

All Methods Instance Methods Abstract Methods
`<R> R` `accept(JsScope.Visitor<R> visitor)`
`JsScope.Declarative` `asDeclarativeScope()`
`JsScope.ObjectBased` `asObjectBased()`
`JsScope.Type` `getType()`

### Method Detail

#### getType

    JsScope.Type getType()

Returns:
  type of the scope

#### asDeclarativeScope

    JsScope.Declarative asDeclarativeScope()

Returns:
  optional subtype when type is a native JavaScript scope and null otherwise

#### asObjectBased

    JsScope.ObjectBased asObjectBased()

Returns:
  optional subtype when type is `JsScope.Type.WITH` and null otherwise

#### accept

    <R> R accept(JsScope.Visitor<R> visitor)